com.tibbo.aggregate.common.expression

## Interface ReferenceResolver

- All Known Implementing Classes:
    AbstractReferenceResolver, DefaultReferenceResolver, EnvironmentReferenceResolver, EventEnvironmentResolver

      public interface ReferenceResolver

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CallerController` | `getCallerController()`
    `ContextManager` | `getContextManager()`
    `Context` | `getDefaultContext()`
    `java.lang.Integer` | `getDefaultRow()`
    `DataTable` | `getDefaultTable()`
    `Evaluator` | `getEvaluator()`
    `java.lang.Object` | `resolveReference(Reference ref, EvaluationEnvironment environment)`
    `void` | `setCallerController(CallerController callerController)`
    `void` | `setContextManager(ContextManager cm)`
    `void` | `setDefaultContext(Context defaultContext)`
    `void` | `setDefaultRow(java.lang.Integer defaultRow)`
    `void` | `setDefaultTable(DataTable defaultTable)`
    `void` | `setEvaluator(Evaluator evaluator)`

- - ### Method Detail

    - #### resolveReference

          java.lang.Object resolveReference(Reference ref,
                                            EvaluationEnvironment environment)
                                     throws SyntaxErrorException,
                                            EvaluationException,
                                            ContextException

      Throws:
        `SyntaxErrorException`
        `EvaluationException`
        `ContextException`

    - #### setContextManager

          void setContextManager(ContextManager cm)

    - #### getContextManager

          ContextManager getContextManager()

    - #### setDefaultTable

          void setDefaultTable(DataTable defaultTable)

    - #### getDefaultTable

          DataTable getDefaultTable()

    - #### setDefaultContext

          void setDefaultContext(Context defaultContext)

    - #### getDefaultContext

          Context getDefaultContext()

    - #### setCallerController

          void setCallerController(CallerController callerController)

    - #### getCallerController

          CallerController getCallerController()

    - #### setEvaluator

          void setEvaluator(Evaluator evaluator)

    - #### getEvaluator

          Evaluator getEvaluator()

    - #### setDefaultRow

          void setDefaultRow(java.lang.Integer defaultRow)

    - #### getDefaultRow

          java.lang.Integer getDefaultRow()